Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 589040 - Request: update blahtexml to version 0.8
Summary: Request: update blahtexml to version 0.8
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: blahtexml
Version: el5
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Jasper Capel
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-05 08:11 UTC by Nils Breunese
Modified: 2010-05-24 19:16 UTC (History)
2 users (show)

Fixed In Version: blahtexml-0.8-1.el5
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-05-24 19:16:39 UTC
Type: ---


Attachments (Terms of Use)

Description Nils Breunese 2010-05-05 08:11:30 UTC
----
Blahtexml 0.8 released

In this release, blahtexml 0.8 supports Xerces-C 3.0 in addition to version 2.8.

As added functionality, blahtexml can produce annotations with TeX and/or PNG outputs (options --annotate-TeX and --annotate-PNG), in parallel to the MathML code. This way, the XML output produced by blahtexml contains mathematical formulas in up to three different formats simultaneously: MathML, TeX and as PNG images. Subsequent filters or XML processors can take advantage of this to produce documents in different formats from the same source.

http://gva.noekeon.org/blahtexml/version_0.8.html
----

Could blahtexml be updated to version 0.8? The new PNG output support (which apparently uses dvipng from the tetex package) would be great to have.

Comment 1 Jasper Capel 2010-05-05 08:29:37 UTC
Sure, I'll try to build it to EL5 if you are willing to do the testing. :)


-Jasper

Comment 2 Nils Breunese 2010-05-05 08:36:56 UTC
Yes, I can do some testing. However, I just discovered that 0.6 also supports the --png flag, so I think I misunderstood the announcement. Maybe 0.6 is fine for my needs, I'm currently checking that out.

I also see that blahtexml 0.8 'supports' Xerces-C 2.8 and 3.0, but 0.6 currently uses Xerces-C 2.7 from EPEL. I don't know if that 'supports 2.8' actually means 'requires 2.8', but if it does than there's maybe more packages to update.

But anyway, if you can update the blahtexml package for 0.8, we can do some testing.

Comment 3 Fedora Update System 2010-05-05 09:45:47 UTC
blahtexml-0.8-1.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/blahtexml-0.8-1.el5

Comment 4 Jasper Capel 2010-05-05 09:47:02 UTC
The updated version should be available in epel-testing shortly.

Comment 5 Fedora Update System 2010-05-06 00:52:00 UTC
blahtexml-0.8-1.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update blahtexml'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/blahtexml-0.8-1.el5

Comment 6 Nils Breunese 2010-05-09 13:15:16 UTC
After installing blahtexml-0.8-1.el5 from epel-testing I now get this every time I run 'yum update':

----
--> Processing Dependency: libxerces-c.so.27()(64bit) for package: blahtexml
---> Package xerces-c.x86_64 0:2.8.0-4.el5.art set to be updated
--> Finished Dependency Resolution
blahtexml-0.8-1.el5.x86_64 from installed has depsolving problems
  --> Missing Dependency: libxerces-c.so.27()(64bit) is needed by package blahtexml-0.8-1.el5.x86_64 (installed)
Error: Missing Dependency: libxerces-c.so.27()(64bit) is needed by package blahtexml-0.8-1.el5.x86_64 (installed)
 You could try using --skip-broken to work around the problem
 You could try running: package-cleanup --problems
                        package-cleanup --dupes
                        rpm -Va --nofiles --nodigest
----

I have a repository configured which apparently provides xerces-c 2.8. However, I can't figure out whether this is blahtexml or that xerces-c 2.8 package not playing nice. Is there anything else I can do except excluding xerces-c 2.8 from the other third party repository? I'd think that yum just shouldn't try to install xerces-c 2.8, since the blahtexml package requires xerces-c 2.7.

Comment 7 Jasper Capel 2010-05-09 14:44:39 UTC
You have a few options here:

1) You could install the 'yum-priorities' package, and make the EPEL and EPEL-testing have higher priority (= lower number, and the Base OS repositories should have an even higher priority) than third party repositories. This doesn't work if your third-party-repository has some specific version of packages that are also present in EPEL or Base OS
2) Use excludes in the repository config
3) Run yum --skip-broken update

Jasper

Comment 8 Nils Breunese 2010-05-10 16:34:17 UTC
We have upgraded to the package in testing and it works fine for us.

Comment 9 Fedora Update System 2010-05-24 19:16:32 UTC
blahtexml-0.8-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.